Package org.apache.catalina.startup

## Class EngineConfig

- java.lang.Object
- - org.apache.catalina.startup.EngineConfig

All Implemented Interfaces:
  `LifecycleListener`

    public class EngineConfig
    extends Object
    implements LifecycleListener

Startup event listener for an Engine that configures the properties of that Engine, and the associated defined contexts.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`protected Engine` `engine` The Engine we are associated with.
`protected static StringManager` `sm` The string resources for this package.

### Constructor Summary

Constructors
`EngineConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `lifecycleEvent​(LifecycleEvent event)` Process the START event for an associated Engine.
`protected void` `start()` Process a "start" event for this Engine.
`protected void` `stop()` Process a "stop" event for this Engine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### engine

    protected Engine engine

The Engine we are associated with.

#### sm

    protected static final StringManager sm

The string resources for this package.

### Constructor Detail

#### EngineConfig

    public EngineConfig()

### Method Detail

#### lifecycleEvent

    public void lifecycleEvent​(LifecycleEvent event)

Process the START event for an associated Engine.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - The lifecycle event that has occurred

#### start

    protected void start()

Process a "start" event for this Engine.

#### stop

    protected void stop()

Process a "stop" event for this Engine.